=== debian/changelog ===
ros-indigo-mapviz-plugins (1.1.0-0trusty) trusty; urgency=high

  * Improve MarkerPlugin (#603 <https://github.com/swri-robotics/mapviz/issues/603>)
    * Improved performance of MarkerPlugin::handleMarker()
    * Support Text marker alpha channel
    * Don't use QColor for glColor4f
    * Use marker namespace and id as markers map key
  * [mapviz_plugins/attitude_indicator] Minor refactoring and redundant logging removed (#617 <https://github.com/swri-robotics/mapviz/issues/617>)
  * 606 sequential measuring (#607 <https://github.com/swri-robotics/mapviz/issues/607>)
    * Moved distance calculation to trigger on release of mouse. Added case to prevent distance calculation while moving map.
    * Added vertices and lines between measurement points. Left click to add point. Right click to delete. Added color selection for points and clear button to ui.
    * Added cumulative distance measurements from multiple points
    * Fixed individual and cumulative distance measurements. Changed it to only measure distance between points and not from fixed origin and first point
    * Moved distance calculation into separate function which is called when deleting a point, adding a point, or rearranging points.
  * Add image size check to textured marker plugin to prevent crashes. (#613 <https://github.com/swri-robotics/mapviz/issues/613>)
    * Add image size check to textured marker plugin to prevent crashes.
  * Fixed typo in string (#608 <https://github.com/swri-robotics/mapviz/issues/608>)
  * 605 add reset button marker (#609 <https://github.com/swri-robotics/mapviz/issues/609>)
    * Added Clear all marker buttons, added case for clear all support to markers
  * Contributors: Arkady Shapkin, Matthew, jbdaniel18

 -- Marc Alban <malban@swri.org>  Wed, 20 Feb 2019 06:00:00 -0000

ros-indigo-mapviz-plugins (1.0.1-0trusty) trusty; urgency=high

  * Use shared tf manager in measuring_plugin (#604 <https://github.com/swri-robotics/mapviz/issues/604>)
  * Contributors: jgassaway

 -- Marc Alban <malban@swri.org>  Fri, 25 Jan 2019 06:00:00 -0000

ros-indigo-mapviz-plugins (1.0.0-0trusty) trusty; urgency=high

  * Sharing tf_manager_ between main app and plugins (#555 <https://github.com/swri-robotics/mapviz/issues/555>)
  * Fix potential segfault in pointcloud plug-in. (#602 <https://github.com/swri-robotics/mapviz/issues/602>)
  * Add Measuring Plugin (#598 <https://github.com/swri-robotics/mapviz/issues/598>)
  * Contributors: Davide Faconti, Marc Alban, Matthew

 -- Marc Alban <malban@swri.org>  Wed, 23 Jan 2019 06:00:00 -0000

ros-indigo-mapviz-plugins (0.3.0-0trusty) trusty; urgency=high

  * Merge all -devel branches into a single master branch
  * Don't transform laser scans twice (#544 <https://github.com/swri-robotics/mapviz/issues/544>)
  * Improving point_drawing plugins and bug fix of tf_plugin (#557 <https://github.com/swri-robotics/mapviz/issues/557>)
  * OpenGL rendering of PointClouds  (2X speedup) (#558 <https://github.com/swri-robotics/mapviz/issues/558>)
  * Occupancy grid (new plugin) (#568 <https://github.com/swri-robotics/mapviz/issues/568>)
  * Bug fix in image plugin (#563 <https://github.com/swri-robotics/mapviz/issues/563>)
  * Fix Indigo build, clean up warnings (#597 <https://github.com/swri-robotics/mapviz/issues/597>)
  * Create Coordinate Picker plugin (#593 <https://github.com/swri-robotics/mapviz/issues/593>)
  * Contributors: Davide Faconti, Ed Venator, Edward Venator, Elliot Johnson, Jerry Towler, Marc Alban, Matthew, Matthew Bries, Mikael Arguedas, Neal Seegmiller, Nicholas Alton, P. J. Reed, Vincent Rousseau

 -- Marc Alban <malban@swri.org>  Fri, 16 Nov 2018 06:00:00 -0000

ros-indigo-mapviz-plugins (0.2.6-0trusty) trusty; urgency=high

  * Fix timestamp interval (#588 <https://github.com/swri-robotics/mapviz/issues/588>)
  * Update path_plugin.cpp (#586 <https://github.com/swri-robotics/mapviz/issues/586>)
  * Replace depcreated plugin macro with newer version
  * Contributors: Matthew, P. J. Reed, camjaws

 -- Marc Alban <malban@swri.org>  Tue, 31 Jul 2018 05:00:00 -0000

ros-indigo-mapviz-plugins (0.2.5-0trusty) trusty; urgency=high

  * Add clear history functionality.
  * Add support for newlines in text marker plugin (#572 <https://github.com/swri-robotics/mapviz/issues/572>)
  * New plugin to send commands to move_base
  * Glew warning fixed (#539 <https://github.com/swri-robotics/mapviz/issues/539>)
  * Added "keep image ratio" to Image plugin (#543 <https://github.com/swri-robotics/mapviz/issues/543>)
  * Remove copy and paste of Print...
  * PointCloud2 speed improvement (#531 <https://github.com/swri-robotics/mapviz/issues/531>)
  * Dead code removed (#535 <https://github.com/swri-robotics/mapviz/issues/535>)
  * Ratio added to robot_image_plugin (#530 <https://github.com/swri-robotics/mapviz/issues/530>)
  * Speed up improvement in LaserScan and PointCloud2 (#525 <https://github.com/swri-robotics/mapviz/issues/525>)
  * Re-add GPSFix plugin to kinetic-devel (#519 <https://github.com/swri-robotics/mapviz/issues/519>)
  * Add support for unpacking rgb8 in pointcloud2s
  * Use non-deprecated pluginlib macro
  * Add plug-in for drawing and publishing a polygon.
  * change the signal that triggers AlphaEdited + minor changes (#514 <https://github.com/swri-robotics/mapviz/issues/514>)
  * Added timestamp display to odometry for kinetic
  * Contributors: Davide Faconti, Marc Alban, Matthew Bries, Mikael Arguedas, P. J. Reed, jgassaway

 -- Marc Alban <malban@swri.org>  Thu, 12 Apr 2018 05:00:00 -0000

ros-indigo-mapviz-plugins (0.2.4-0trusty) trusty; urgency=high

  * Add /wgs84 frame to point click publisher when available.
  * Transform cube and arrow markers properly
  * Contributors: Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 11 Aug 2017 05:00:00 -0000

ros-indigo-mapviz-plugins (0.2.3-0trusty) trusty; urgency=high

  * Delete markers that have expired and remove error message. (#454 <https://github.com/evenator/mapviz/issues/454>)

