=== debian/control ===
Source: ros-indigo-mapviz-plugins
Section: misc
Priority: extra
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-gps-common, ros-indigo-image-transport, ros-indigo-libqt-dev, ros-indigo-libqt-opengl-dev, ros-indigo-map-msgs, ros-indigo-mapviz, ros-indigo-marti-common-msgs, ros-indigo-marti-nav-msgs, ros-indigo-marti-visualization-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-pluginlib, ros-indigo-qt-qmake, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-stereo-msgs, ros-indigo-swri-image-util, ros-indigo-swri-math-util, ros-indigo-swri-route-util, ros-indigo-swri-transform-util, ros-indigo-swri-yaml-util, ros-indigo-tf, ros-indigo-visualization-msgs
Homepage: https://github.com/swri-robotics/mapviz
Standards-Version: 3.9.2

Package: ros-indigo-mapviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-cv-bridge, ros-indigo-gps-common, ros-indigo-image-transport, ros-indigo-libqt-core, ros-indigo-libqt-opengl, ros-indigo-map-msgs, ros-indigo-mapviz, ros-indigo-marti-common-msgs, ros-indigo-marti-nav-msgs, ros-indigo-marti-visualization-msgs, ros-indigo-move-base-msgs, ros-indigo-nav-msgs, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-std-msgs, ros-indigo-stereo-msgs, ros-indigo-swri-image-util, ros-indigo-swri-math-util, ros-indigo-swri-route-util, ros-indigo-swri-transform-util, ros-indigo-swri-yaml-util, ros-indigo-tf, ros-indigo-visualization-msgs
Description: Common plugins for the Mapviz visualization tool
